/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
const pool = require("./connect");
import {QueryError, RowDataPacket} from 'mysql2';

interface definitionInterface{
    (message:string):void;
}
export default function Select(sql: string, callback: definitionInterface) {
    pool.query(sql, ( rows: RowDataPacket[]) => {
        callback(rows);
        pool.releaseConnection(pool);
});
}